# Operation Specifications {#openvino_docs_operations_specifications}

@sphinxdirective

.. meta::
  :description: Explore the examples of operations supported in OpenVINO™ toolkit.

.. toctree::
   :maxdepth: 1

   Abs-1 <openvino_docs_ops_arithmetic_Abs_1>
   Acos-1 <openvino_docs_ops_arithmetic_Acos_1>
   Acosh-3 <openvino_docs_ops_arithmetic_Acosh_3>
   AdaptiveAvgPool-8 <openvino_docs_ops_pooling_AdaptiveAvgPool_8>
   AdaptiveMaxPool-8 <openvino_docs_ops_pooling_AdaptiveMaxPool_8>
   Add-1 <openvino_docs_ops_arithmetic_Add_1>
   Asin-1 <openvino_docs_ops_arithmetic_Asin_1>
   Asinh-3 <openvino_docs_ops_arithmetic_Asinh_3>
   Assign-3 <openvino_docs_ops_infrastructure_Assign_3>
   Atan-1 <openvino_docs_ops_arithmetic_Atan_1>
   Atanh-3 <openvino_docs_ops_arithmetic_Atanh_3>
   AvgPool-1 <openvino_docs_ops_pooling_AvgPool_1>
   BatchNormInference-1 <openvino_docs_ops_normalization_BatchNormInference_1>
   BatchNormInference-5 <openvino_docs_ops_normalization_BatchNormInference_5>
   BatchToSpace-2 <openvino_docs_ops_movement_BatchToSpace_2>
   BinaryConvolution-1 <openvino_docs_ops_convolution_BinaryConvolution_1>
   Broadcast-1 <openvino_docs_ops_movement_Broadcast_1>
   Broadcast-3 <openvino_docs_ops_movement_Broadcast_3>
   Bucketize-3 <openvino_docs_ops_condition_Bucketize_3>
   CTCGreedyDecoder-1 <openvino_docs_ops_sequence_CTCGreedyDecoder_1>
   CTCGreedyDecoderSeqLen-6 <openvino_docs_ops_sequence_CTCGreedyDecoderSeqLen_6>
   Ceiling-1 <openvino_docs_ops_arithmetic_Ceiling_1>
   Clamp-1 <openvino_docs_ops_activation_Clamp_1>
   Concat-1 <openvino_docs_ops_movement_Concat_1>
   Constant-1 <openvino_docs_ops_infrastructure_Constant_1>
   ConvertLike-1 <openvino_docs_ops_type_ConvertLike_1>
   Convert-1 <openvino_docs_ops_type_Convert_1>
   ConvolutionBackpropData-1 <openvino_docs_ops_convolution_ConvolutionBackpropData_1>
   Convolution-1 <openvino_docs_ops_convolution_Convolution_1>
   Cos-1 <openvino_docs_ops_arithmetic_Cos_1>
   Cosh-1 <openvino_docs_ops_arithmetic_Cosh_1>
   CTCLoss-4 <openvino_docs_ops_sequence_CTCLoss_4>
   CumSum-3 <openvino_docs_ops_arithmetic_CumSum_3>
   DeformableConvolution-1 <openvino_docs_ops_convolution_DeformableConvolution_1>
   DeformableConvolution-8 <openvino_docs_ops_convolution_DeformableConvolution_8>
   DeformablePSROIPooling-1 <openvino_docs_ops_detection_DeformablePSROIPooling_1>
   DepthToSpace-1 <openvino_docs_ops_movement_DepthToSpace_1>
   DetectionOutput-1 <openvino_docs_ops_detection_DetectionOutput_1>
   DetectionOutput-8 <openvino_docs_ops_detection_DetectionOutput_8>
   DFT-7 <openvino_docs_ops_signals_DFT_7>
   Divide-1 <openvino_docs_ops_arithmetic_Divide_1>
   Einsum-7 <openvino_docs_ops_matrix_Einsum_7>
   Elu-1 <openvino_docs_ops_activation_Elu_1>
   EmbeddingBagOffsetsSum-3 <openvino_docs_ops_sparse_EmbeddingBagOffsetsSum_3>
   EmbeddingBagPackedSum-3 <openvino_docs_ops_sparse_EmbeddingBagPackedSum_3>
   EmbeddingSegmentsSum-3 <openvino_docs_ops_sparse_EmbeddingSegmentsSum_3>
   Equal-1 <openvino_docs_ops_comparison_Equal_1>
   Erf-1 <openvino_docs_ops_arithmetic_Erf_1>
   Exp-1 <openvino_docs_ops_activation_Exp_1>
   ExperimentalDetectronDetectionOutput-6 <openvino_docs_ops_detection_ExperimentalDetectronDetectionOutput_6>
   ExperimentalDetectronGenerateProposalsSingleImage-6 <openvino_docs_ops_detection_ExperimentalDetectronGenerateProposalsSingleImage_6>
   ExperimentalDetectronPriorGridGenerator-6 <openvino_docs_ops_detection_ExperimentalDetectronPriorGridGenerator_6>
   ExperimentalDetectronROIFeatureExtractor-6 <openvino_docs_ops_detection_ExperimentalDetectronROIFeatureExtractor_6>
   ExperimentalDetectronTopKROIs-6 <openvino_docs_ops_sort_ExperimentalDetectronTopKROIs_6>
   ExtractImagePatches-3 <openvino_docs_ops_movement_ExtractImagePatches_3>
   Eye-9 <openvino_docs_ops_generation_Eye_9>
   FakeQuantize-1 <openvino_docs_ops_quantization_FakeQuantize_1>
   FloorMod-1 <openvino_docs_ops_arithmetic_FloorMod_1>
   Floor-1 <openvino_docs_ops_arithmetic_Floor_1>
   GridSample-9 <openvino_docs_ops_image_GridSample_9>
   GRN-1 <openvino_docs_ops_normalization_GRN_1>
   GRUCell-3 <openvino_docs_ops_sequence_GRUCell_3>
   GRUSequence-5 <openvino_docs_ops_sequence_GRUSequence_5>
   GatherTree-1 <openvino_docs_ops_movement_GatherTree_1>
   Gather-1 <openvino_docs_ops_movement_Gather_1>
   Gather-7 <openvino_docs_ops_movement_Gather_7>
   Gather-8 <openvino_docs_ops_movement_Gather_8>
   GatherElements-6 <openvino_docs_ops_movement_GatherElements_6>
   GatherND-5 <openvino_docs_ops_movement_GatherND_5>
   GatherND-8 <openvino_docs_ops_movement_GatherND_8>
   GELU-2 <openvino_docs_ops_activation_GELU_2>
   GELU-7 <openvino_docs_ops_activation_GELU_7>
   GenerateProposals-9 <openvino_docs_ops_detection_GenerateProposals_9>
   GreaterEqual-1 <openvino_docs_ops_comparison_GreaterEqual_1>
   Greater-1 <openvino_docs_ops_comparison_Greater_1>
   GroupConvolutionBackpropData-1 <openvino_docs_ops_convolution_GroupConvolutionBackpropData_1>
   GroupConvolution-1 <openvino_docs_ops_convolution_GroupConvolution_1>
   GroupNormalization-12 <openvino_docs_ops_normalization_GroupNormalization_12>
   HardSigmoid-1 <openvino_docs_ops_activation_HardSigmoid_1>
   HSigmoid-5 <openvino_docs_ops_activation_HSigmoid_5>
   HSwish-4 <openvino_docs_ops_activation_HSwish_4>
   I420toBGR-8 <openvino_docs_ops_image_I420toBGR_8>
   I420toRGB-8 <openvino_docs_ops_image_I420toRGB_8>
   IDFT-7 <openvino_docs_ops_signals_IDFT_7>
   IRDFT-9 <openvino_docs_ops_signals_IRDFT_9>
   If-8 <openvino_docs_ops_infrastructure_If_8>
   Interpolate-1 <openvino_docs_ops_image_Interpolate_1>
   Interpolate-4 <openvino_docs_ops_image_Interpolate_4>
   Interpolate-11 <openvino_docs_ops_image_Interpolate_11>
   IsFinite-10 <openvino_docs_ops_comparison_IsFinite_10>
   IsInf-10 <openvino_docs_ops_comparison_IsInf_10>
   IsNaN-10 <openvino_docs_ops_comparison_IsNaN_10>
   LRN-1 <openvino_docs_ops_normalization_LRN_1>
   LSTMCell-1 <openvino_docs_ops_sequence_LSTMCell_1>
   LSTMSequence-1 <openvino_docs_ops_sequence_LSTMSequence_1>
   LessEqual-1 <openvino_docs_ops_comparison_LessEqual_1>
   Less-1 <openvino_docs_ops_comparison_Less_1>
   Log-1 <openvino_docs_ops_arithmetic_Log_1>
   LogicalAnd-1 <openvino_docs_ops_logical_LogicalAnd_1>
   LogicalNot-1 <openvino_docs_ops_logical_LogicalNot_1>
   LogicalOr-1 <openvino_docs_ops_logical_LogicalOr_1>
   LogicalXor-1 <openvino_docs_ops_logical_LogicalXor_1>
   LogSoftmax-5 <openvino_docs_ops_activation_LogSoftmax_5>
   Loop-5 <openvino_docs_ops_infrastructure_Loop_5>
   MVN-1 <openvino_docs_ops_normalization_MVN_1>
   MVN-6 <openvino_docs_ops_normalization_MVN_6>
   MatMul-1 <openvino_docs_ops_matrix_MatMul_1>
   MatrixNms-8 <openvino_docs_ops_sort_MatrixNms_8>
   MaxPool-1 <openvino_docs_ops_pooling_MaxPool_1>
   MaxPool-8 <openvino_docs_ops_pooling_MaxPool_8>
   Maximum-1 <openvino_docs_ops_arithmetic_Maximum_1>
   Minimum-1 <openvino_docs_ops_arithmetic_Minimum_1>
   Mish-4 <openvino_docs_ops_activation_Mish_4>
   Mod-1 <openvino_docs_ops_arithmetic_Mod_1>
   MulticlassNonMaxSuppression-8 <openvino_docs_ops_sort_MulticlassNonMaxSuppression_8>
   MulticlassNonMaxSuppression-9 <openvino_docs_ops_sort_MulticlassNonMaxSuppression_9>
   Multiply-1 <openvino_docs_ops_arithmetic_Multiply_1>
   Negative-1 <openvino_docs_ops_arithmetic_Negative_1>
   NonMaxSuppression-1 <openvino_docs_ops_sort_NonMaxSuppression_1>
   NonMaxSuppression-3 <openvino_docs_ops_sort_NonMaxSuppression_3>
   NonMaxSuppression-4 <openvino_docs_ops_sort_NonMaxSuppression_4>
   NonMaxSuppression-5 <openvino_docs_ops_sort_NonMaxSuppression_5>
   NonMaxSuppression-9 <openvino_docs_ops_sort_NonMaxSuppression_9>
   NonZero-3 <openvino_docs_ops_condition_NonZero_3>
   NormalizeL2-1 <openvino_docs_ops_normalization_NormalizeL2_1>
   NotEqual-1 <openvino_docs_ops_comparison_NotEqual_1>
   NV12toBGR-8 <openvino_docs_ops_image_NV12toBGR_8>
   NV12toRGB-8 <openvino_docs_ops_image_NV12toRGB_8>
   OneHot-1 <openvino_docs_ops_sequence_OneHot_1>
   PReLU-1 <openvino_docs_ops_activation_PReLU_1>
   PSROIPooling-1 <openvino_docs_ops_detection_PSROIPooling_1>
   Pad-1 <openvino_docs_ops_movement_Pad_1>
   Pad-12 <openvino_docs_ops_movement_Pad_12>
   Parameter-1 <openvino_docs_ops_infrastructure_Parameter_1>
   Power-1 <openvino_docs_ops_arithmetic_Power_1>
   PriorBoxClustered-1 <openvino_docs_ops_detection_PriorBoxClustered_1>
   PriorBox-1 <openvino_docs_ops_detection_PriorBox_1>
   PriorBox-8 <openvino_docs_ops_detection_PriorBox_8>
   Proposal-1 <openvino_docs_ops_detection_Proposal_1>
   Proposal-4 <openvino_docs_ops_detection_Proposal_4>
   RandomUniform-8 <openvino_docs_ops_generation_RandomUniform_8>
   Range-1 <openvino_docs_ops_generation_Range_1>
   Range-4 <openvino_docs_ops_generation_Range_4>
   RDFT-9<openvino_docs_ops_signals_RDFT_9>
   ReadValue-3 <openvino_docs_ops_infrastructure_ReadValue_3>
   ReLU-1 <openvino_docs_ops_activation_ReLU_1>
   ReduceL1-4 <openvino_docs_ops_reduction_ReduceL1_4>
   ReduceL2-4 <openvino_docs_ops_reduction_ReduceL2_4>
   ReduceLogicalAnd-1 <openvino_docs_ops_reduction_ReduceLogicalAnd_1>
   ReduceLogicalOr-1 <openvino_docs_ops_reduction_ReduceLogicalOr_1>
   ReduceMax-1 <openvino_docs_ops_reduction_ReduceMax_1>
   ReduceMean-1 <openvino_docs_ops_reduction_ReduceMean_1>
   ReduceMin-1 <openvino_docs_ops_reduction_ReduceMin_1>
   ReduceProd-1 <openvino_docs_ops_reduction_ReduceProd_1>
   ReduceSum-1 <openvino_docs_ops_reduction_ReduceSum_1>
   RegionYolo-1 <openvino_docs_ops_detection_RegionYolo_1>
   ReorgYolo-1 <openvino_docs_ops_detection_ReorgYolo_1>
   Reshape-1 <openvino_docs_ops_shape_Reshape_1>
   Result-1 <openvino_docs_ops_infrastructure_Result_1>
   Reverse-1 <openvino_docs_ops_movement_Reverse_1>
   ReverseSequence-1 <openvino_docs_ops_movement_ReverseSequence_1>
   RNNCell-3 <openvino_docs_ops_sequence_RNNCell_3>
   RNNSequence-5 <openvino_docs_ops_sequence_RNNSequence_5>
   ROIAlign-3 <openvino_docs_ops_detection_ROIAlign_3>
   ROIAlign-9 <openvino_docs_ops_detection_ROIAlign_9>
   ROIPooling-1 <openvino_docs_ops_detection_ROIPooling_1>
   Roll-7 <openvino_docs_ops_movement_Roll_7>
   Round-5 <openvino_docs_ops_arithmetic_Round_5>
   ScatterElementsUpdate-3 <openvino_docs_ops_movement_ScatterElementsUpdate_3>
   ScatterElementsUpdate-12 <openvino_docs_ops_movement_ScatterElementsUpdate_12>
   ScatterNDUpdate-3 <openvino_docs_ops_movement_ScatterNDUpdate_3>
   ScatterUpdate-3 <openvino_docs_ops_movement_ScatterUpdate_3>
   Select-1 <openvino_docs_ops_condition_Select_1>
   Selu-1 <openvino_docs_ops_activation_Selu_1>
   ShapeOf-1 <openvino_docs_ops_shape_ShapeOf_1>
   ShapeOf-3 <openvino_docs_ops_shape_ShapeOf_3>
   ShuffleChannels-1 <openvino_docs_ops_movement_ShuffleChannels_1>
   Sigmoid-1 <openvino_docs_ops_activation_Sigmoid_1>
   Sign-1 <openvino_docs_ops_arithmetic_Sign_1>
   Sin-1 <openvino_docs_ops_arithmetic_Sin_1>
   Sinh-1 <openvino_docs_ops_arithmetic_Sinh_1>
   Slice-8 <openvino_docs_ops_movement_Slice_8>
   SoftMax-1 <openvino_docs_ops_activation_SoftMax_1>
   SoftMax-8 <openvino_docs_ops_activation_SoftMax_8>
   SoftPlus-4 <openvino_docs_ops_activation_SoftPlus_4>
   SoftSign-9 <openvino_docs_ops_activation_SoftSign_9>
   SpaceToBatch-2 <openvino_docs_ops_movement_SpaceToBatch_2>
   SpaceToDepth-1 <openvino_docs_ops_movement_SpaceToDepth_1>
   Split-1 <openvino_docs_ops_movement_Split_1>
   Sqrt-1 <openvino_docs_ops_arithmetic_Sqrt_1>
   SquaredDifference-1 <openvino_docs_ops_arithmetic_SquaredDifference_1>
   Squeeze-1 <openvino_docs_ops_shape_Squeeze_1>
   StridedSlice-1 <openvino_docs_ops_movement_StridedSlice_1>
   Subtract-1 <openvino_docs_ops_arithmetic_Subtract_1>
   Swish-4 <openvino_docs_ops_activation_Swish_4>
   Tan-1 <openvino_docs_ops_arithmetic_Tan_1>
   Tanh-1 <openvino_docs_ops_arithmetic_Tanh_1>
   TensorIterator-1 <openvino_docs_ops_infrastructure_TensorIterator_1>
   Tile-1 <openvino_docs_ops_movement_Tile_1>
   TopK-1 <openvino_docs_ops_sort_TopK_1>
   TopK-3 <openvino_docs_ops_sort_TopK_3>
   TopK-11 <openvino_docs_ops_sort_TopK_11>
   Transpose-1 <openvino_docs_ops_movement_Transpose_1>
   Unique-10 <openvino_docs_ops_movement_Unique_10>
   Unsqueeze-1 <openvino_docs_ops_shape_Unsqueeze_1>
   VariadicSplit-1 <openvino_docs_ops_movement_VariadicSplit_1>

@endsphinxdirective
