# Documentation {#documentation}

@sphinxdirective

.. meta::
   :description: Explore the OpenVINO toolkit workflow that entails preparing, 
                 optimizing and deploying models in deep learning applications.


.. toctree::
   :maxdepth: 1
   :hidden:

   API Reference <api/api_reference>
   Tool Ecosystem <openvino_ecosystem>
   OpenVINO Extensibility <openvino_docs_Extensibility_UG_Intro>
   OpenVINO IR format and Operation Sets <openvino_ir>
   Media Processing and CV Libraries <media_processing_cv_libraries>
   OpenVINO™ Security <openvino_docs_security_guide_introduction>


This section provides reference documents that guide you through the OpenVINO toolkit workflow, from preparing models, optimizing them, to deploying them in your own deep learning applications.

| :doc:`API Reference doc path <api/api_reference>`
| A collection of reference articles for OpenVINO C++, C, and Python APIs. 

| :doc:`OpenVINO Ecosystem <openvino_ecosystem>`
| Apart from the core components, OpenVINO offers tools, plugins, and expansions revolving around it, even if not constituting necessary parts of its workflow. This section gives you an overview of what makes up the OpenVINO toolkit.

| :doc:`OpenVINO Extensibility Mechanism <openvino_docs_Extensibility_UG_Intro>`
| The Intel® Distribution of OpenVINO™ toolkit supports neural network models trained with various frameworks, including TensorFlow, PyTorch, ONNX, TensorFlow Lite, and PaddlePaddle (OpenVINO support for Apache MXNet, Caffe, and Kaldi is being deprecated and will be removed in the future). Learn how to extend OpenVINO functionality with custom settings. 

| :doc:`Media Processing and Computer Vision Libraries <media_processing_cv_libraries>`
| The OpenVINO™ toolkit also works with the following media processing frameworks and libraries:
| 	• Intel® Deep Learning Streamer (Intel® DL Streamer) — A streaming media analytics framework based on GStreamer, for creating complex media analytics pipelines optimized for Intel hardware platforms. Go to the Intel® DL Streamer documentation website to learn more.
| 	• Intel® oneAPI Video Processing Library (oneVPL) — A programming interface for video decoding, encoding, and processing to build portable media pipelines on CPUs, GPUs, and other accelerators. 
| You can also add computer vision capabilities to your application using optimized versions of OpenCV.

| :doc:`OpenVINO™ Security <openvino_docs_security_guide_introduction>`
| Learn how to use OpenVINO securely and protect your data to meet specific security and privacy requirements. 

@endsphinxdirective
