# Learn OpenVINO {#learn_openvino}

@sphinxdirective

.. meta::
   :description: Explore learning materials, including interactive 
                 Python tutorials and sample console applications that explain 
                 how to use OpenVINO features.


.. toctree::
   :maxdepth: 1
   :hidden:

   Interactive Tutorials (Python) <tutorials>
   Sample Applications (Python & C++) <openvino_docs_OV_UG_Samples_Overview>
   OpenVINO API 2.0 Transition <openvino_2_0_transition_guide>


This section will help you get a hands-on experience with OpenVINO even if you are just starting 
to learn what OpenVINO is and how it works. It includes various types of learning materials 
accommodating different learning needs, which means you should find it useful if you are a beginning, 
as well as an experienced user.

| :doc:`Tutorials <tutorials>` 
| A collection of interactive Python tutorials. It introduces you to the OpenVINO™ toolkit explaining how to use the Python API and tools for optimized deep learning inference. The tutorials are available in Jupyter notebooks and can be run in your browser. No installation required.

| :doc:`OpenVINO Samples <openvino_docs_OV_UG_Samples_Overview>`  
| The OpenVINO samples (Python and C++) are simple console applications that show how to use specific OpenVINO API features. They can assist you in executing tasks such as loading a model, running inference, querying particular device capabilities, etc.

| :doc:`OpenVINO™ API 2.0 Transition Guide <openvino_2_0_transition_guide>`
| With the release of 2022.1 OpenVINO introduced its improved API 2.0 and its new OpenVINO IR model format: IR v11. This tutorial will instruct you on how to adopt the new solution, as well as show you the benefits of the new logic of working with models.

@endsphinxdirective