# Available Operation Sets {#openvino_docs_ops_opset}

@sphinxdirective

.. meta::
  :description: Check the list of available operation sets fully supported in 
                specific versions of OpenVINO™ toolkit.

.. toctree::
   :maxdepth: 1
   :hidden:

   openvino_docs_ops_opset12
   openvino_docs_ops_opset11
   openvino_docs_ops_opset10
   openvino_docs_ops_opset9
   openvino_docs_ops_opset8
   openvino_docs_ops_opset7
   openvino_docs_ops_opset6
   openvino_docs_ops_opset5
   openvino_docs_ops_opset4
   openvino_docs_ops_opset3
   openvino_docs_ops_opset2
   openvino_docs_ops_opset1


According to capabilities of supported deep learning frameworks and hardware capabilities of a target inference device, all operations are combined into operation sets each fully supported in a specific version of OpenVINO™ toolkit.

This topic provides a complete list of available sets of operations supported in different versions of OpenVINO™ toolkit. Use the relevant version of the operations set for a particular release. For a list of operations included into an operations set, click a link in the table.

.. list-table::
    :header-rows: 1

    * - OpenVINO™ Version
      - Actual Operations Set
    * - 2023.1
      - :doc:`opset12 <openvino_docs_ops_opset12>`
    * - 2023.0
      - :doc:`opset11 <openvino_docs_ops_opset11>`
    * - 2022.3
      - :doc:`opset10 <openvino_docs_ops_opset10>`
    * - 2022.2
      - :doc:`opset9 <openvino_docs_ops_opset9>`
    * - 2022.1
      - :doc:`opset8 <openvino_docs_ops_opset8>`
    * - 2021.4
      - :doc:`opset7 <openvino_docs_ops_opset7>`
    * - 2021.3
      - :doc:`opset6 <openvino_docs_ops_opset6>`
    * - 2021.2
      - :doc:`opset5 <openvino_docs_ops_opset5>`
    * - 2021.1
      - :doc:`opset4 <openvino_docs_ops_opset4>`
    * - 2020.4
      - :doc:`opset3 <openvino_docs_ops_opset3>`
    * - 2020.3
      - :doc:`opset2 <openvino_docs_ops_opset2>`
    * - 2020.2
      - :doc:`opset2 <openvino_docs_ops_opset2>`
    * - 2020.1
      - :doc:`opset1 <openvino_docs_ops_opset1>`

See Also
########

:doc:`Operation Sets in OpenVINO <openvino_docs_MO_DG_IR_and_opsets>`
:doc:`OpenVINO IR format <openvino_ir>`

@endsphinxdirective
