# opset2 {#openvino_docs_ops_opset2}

@sphinxdirective

.. meta::
  :description: Explore the examples of operation instances expressed as IR V10 
                XML snippets in the opset2 operation set, supported in OpenVINO™ 
                toolkit.

This specification document describes ``opset2`` operation set supported in OpenVINO.
Support for each particular operation from the list below depends on the capabilities available in a inference plugin
and may vary among different hardware platforms and devices. Examples of operation instances are expressed as IR V10 xml
snippets. Such IR is generated by the Model Optimizer. The semantics match corresponding OpenVINO operation classes
declared in ``namespace opset2``.


Table of Contents
######################

* :doc:`Abs <openvino_docs_ops_arithmetic_Abs_1>`
* :doc:`Acos <openvino_docs_ops_arithmetic_Acos_1>`
* :doc:`Add <openvino_docs_ops_arithmetic_Add_1>`
* :doc:`Asin <openvino_docs_ops_arithmetic_Asin_1>`
* :doc:`Atan <openvino_docs_ops_arithmetic_Atan_1>`
* :doc:`AvgPool <openvino_docs_ops_pooling_AvgPool_1>`
* :doc:`BatchNormInference <openvino_docs_ops_normalization_BatchNormInference_1>`
* :doc:`BatchToSpace <openvino_docs_ops_movement_BatchToSpace_2>`
* :doc:`BinaryConvolution <openvino_docs_ops_convolution_BinaryConvolution_1>`
* :doc:`Broadcast <openvino_docs_ops_movement_Broadcast_1>`
* :doc:`CTCGreedyDecoder <openvino_docs_ops_sequence_CTCGreedyDecoder_1>`
* :doc:`Ceiling <openvino_docs_ops_arithmetic_Ceiling_1>`
* :doc:`Clamp <openvino_docs_ops_activation_Clamp_1>`
* :doc:`Concat <openvino_docs_ops_movement_Concat_1>`
* :doc:`Constant <openvino_docs_ops_infrastructure_Constant_1>`
* :doc:`Convert <openvino_docs_ops_type_Convert_1>`
* :doc:`ConvertLike <openvino_docs_ops_type_ConvertLike_1>`
* :doc:`Convolution <openvino_docs_ops_convolution_Convolution_1>`
* :doc:`ConvolutionBackpropData <openvino_docs_ops_convolution_ConvolutionBackpropData_1>`
* :doc:`Cos <openvino_docs_ops_arithmetic_Cos_1>`
* :doc:`Cosh <openvino_docs_ops_arithmetic_Cosh_1>`
* :doc:`DeformableConvolution <openvino_docs_ops_convolution_DeformableConvolution_1>`
* :doc:`DeformablePSROIPooling <openvino_docs_ops_detection_DeformablePSROIPooling_1>`
* :doc:`DepthToSpace <openvino_docs_ops_movement_DepthToSpace_1>`
* :doc:`DetectionOutput <openvino_docs_ops_detection_DetectionOutput_1>`
* :doc:`Divide <openvino_docs_ops_arithmetic_Divide_1>`
* :doc:`Elu <openvino_docs_ops_activation_Elu_1>`
* :doc:`Equal <openvino_docs_ops_comparison_Equal_1>`
* :doc:`Erf <openvino_docs_ops_arithmetic_Erf_1>`
* :doc:`Exp <openvino_docs_ops_activation_Exp_1>`
* :doc:`FakeQuantize <openvino_docs_ops_quantization_FakeQuantize_1>`
* :doc:`Floor <openvino_docs_ops_arithmetic_Floor_1>`
* :doc:`FloorMod <openvino_docs_ops_arithmetic_FloorMod_1>`
* :doc:`Gather <openvino_docs_ops_movement_Gather_1>`
* :doc:`GatherTree <openvino_docs_ops_movement_GatherTree_1>`
* :doc:`Gelu <openvino_docs_ops_activation_GELU_2>`
* :doc:`Greater <openvino_docs_ops_comparison_Greater_1>`
* :doc:`GreaterEqual <openvino_docs_ops_comparison_GreaterEqual_1>`
* :doc:`GRN <openvino_docs_ops_normalization_GRN_1>`
* :doc:`GroupConvolution <openvino_docs_ops_convolution_GroupConvolution_1>`
* :doc:`GroupConvolutionBackpropData <openvino_docs_ops_convolution_GroupConvolutionBackpropData_1>`
* :doc:`HardSigmoid <openvino_docs_ops_activation_HardSigmoid_1>`
* :doc:`Interpolate <openvino_docs_ops_image_Interpolate_1>`
* :doc:`Less <openvino_docs_ops_comparison_Less_1>`
* :doc:`LessEqual <openvino_docs_ops_comparison_LessEqual_1>`
* :doc:`Log <openvino_docs_ops_arithmetic_Log_1>`
* :doc:`LogicalAnd <openvino_docs_ops_logical_LogicalAnd_1>`
* :doc:`LogicalNot <openvino_docs_ops_logical_LogicalNot_1>`
* :doc:`LogicalOr <openvino_docs_ops_logical_LogicalOr_1>`
* :doc:`LogicalXor <openvino_docs_ops_logical_LogicalXor_1>`
* :doc:`LRN <openvino_docs_ops_normalization_LRN_1>`
* :doc:`LSTMCell <openvino_docs_ops_sequence_LSTMCell_1>`
* :doc:`LSTMSequence <openvino_docs_ops_sequence_LSTMSequence_1>`
* :doc:`MatMul <openvino_docs_ops_matrix_MatMul_1>`
* :doc:`MaxPool <openvino_docs_ops_pooling_MaxPool_1>`
* :doc:`Maximum <openvino_docs_ops_arithmetic_Maximum_1>`
* :doc:`Minimum <openvino_docs_ops_arithmetic_Minimum_1>`
* :doc:`Mod <openvino_docs_ops_arithmetic_Mod_1>`
* :doc:`MVN <openvino_docs_ops_normalization_MVN_1>`
* :doc:`Multiply <openvino_docs_ops_arithmetic_Multiply_1>`
* :doc:`Negative <openvino_docs_ops_arithmetic_Negative_1>`
* :doc:`NonMaxSuppression <openvino_docs_ops_sort_NonMaxSuppression_1>`
* :doc:`NormalizeL2 <openvino_docs_ops_normalization_NormalizeL2_1>`
* :doc:`NotEqual <openvino_docs_ops_comparison_NotEqual_1>`
* :doc:`OneHot <openvino_docs_ops_sequence_OneHot_1>`
* :doc:`Pad <openvino_docs_ops_movement_Pad_1>`
* :doc:`Parameter <openvino_docs_ops_infrastructure_Parameter_1>`
* :doc:`Power <openvino_docs_ops_arithmetic_Power_1>`
* :doc:`PReLU <openvino_docs_ops_activation_PReLU_1>`
* :doc:`PriorBoxClustered <openvino_docs_ops_detection_PriorBoxClustered_1>`
* :doc:`PriorBox <openvino_docs_ops_detection_PriorBox_1>`
* :doc:`Proposal <openvino_docs_ops_detection_Proposal_1>`
* :doc:`PSROIPooling <openvino_docs_ops_detection_PSROIPooling_1>`
* :doc:`Range <openvino_docs_ops_generation_Range_1>`
* :doc:`ReLU <openvino_docs_ops_activation_ReLU_1>`
* :doc:`ReduceLogicalAnd <openvino_docs_ops_reduction_ReduceLogicalAnd_1>`
* :doc:`ReduceLogicalOr <openvino_docs_ops_reduction_ReduceLogicalOr_1>`
* :doc:`ReduceMax <openvino_docs_ops_reduction_ReduceMax_1>`
* :doc:`ReduceMean <openvino_docs_ops_reduction_ReduceMean_1>`
* :doc:`ReduceMin <openvino_docs_ops_reduction_ReduceMin_1>`
* :doc:`ReduceProd <openvino_docs_ops_reduction_ReduceProd_1>`
* :doc:`ReduceSum <openvino_docs_ops_reduction_ReduceSum_1>`
* :doc:`RegionYolo <openvino_docs_ops_detection_RegionYolo_1>`
* :doc:`ReorgYolo <openvino_docs_ops_detection_ReorgYolo_1>`
* :doc:`Reshape <openvino_docs_ops_shape_Reshape_1>`
* :doc:`Result <openvino_docs_ops_infrastructure_Result_1>`
* :doc:`ReverseSequence <openvino_docs_ops_movement_ReverseSequence_1>`
* :doc:`ROIPooling <openvino_docs_ops_detection_ROIPooling_1>`
* :doc:`Select <openvino_docs_ops_condition_Select_1>`
* :doc:`Selu <openvino_docs_ops_activation_Selu_1>`
* :doc:`ShapeOf <openvino_docs_ops_shape_ShapeOf_1>`
* :doc:`Sigmoid <openvino_docs_ops_activation_Sigmoid_1>`
* :doc:`Sign <openvino_docs_ops_arithmetic_Sign_1>`
* :doc:`Sin <openvino_docs_ops_arithmetic_Sin_1>`
* :doc:`Sinh <openvino_docs_ops_arithmetic_Sinh_1>`
* :doc:`SoftMax <openvino_docs_ops_activation_SoftMax_1>`
* :doc:`SpaceToBatch <openvino_docs_ops_movement_SpaceToBatch_2>`
* :doc:`SpaceToDepth <openvino_docs_ops_movement_SpaceToDepth_1>`
* :doc:`Split <openvino_docs_ops_movement_Split_1>`
* :doc:`Sqrt <openvino_docs_ops_arithmetic_Sqrt_1>`
* :doc:`SquaredDifference <openvino_docs_ops_arithmetic_SquaredDifference_1>`
* :doc:`Squeeze <openvino_docs_ops_shape_Squeeze_1>`
* :doc:`StridedSlice <openvino_docs_ops_movement_StridedSlice_1>`
* :doc:`Subtract <openvino_docs_ops_arithmetic_Subtract_1>`
* :doc:`Tan <openvino_docs_ops_arithmetic_Tan_1>`
* :doc:`Tanh <openvino_docs_ops_arithmetic_Tanh_1>`
* :doc:`TensorIterator <openvino_docs_ops_infrastructure_TensorIterator_1>`
* :doc:`Tile <openvino_docs_ops_movement_Tile_1>`
* :doc:`TopK <openvino_docs_ops_sort_TopK_1>`
* :doc:`Transpose <openvino_docs_ops_movement_Transpose_1>`
* :doc:`Unsqueeze <openvino_docs_ops_shape_Unsqueeze_1>`
* :doc:`VariadicSplit <openvino_docs_ops_movement_VariadicSplit_1>`


@endsphinxdirective

