# Resources {#resources}


@sphinxdirective

.. meta::
   :description: Learn more about OpenVINO from benchmark results, case studies 
                 and lists of supported models, operations and devices.

.. toctree::
   :maxdepth: 1
   :hidden:

   openvino_docs_performance_benchmarks

.. toctree::
   :maxdepth: 1
   :hidden:

   openvino_docs_OV_UG_supported_plugins_Supported_Devices
   openvino_supported_models
   openvino_resources_supported_operations
   openvino_resources_supported_operations_frontend

.. toctree::
   :maxdepth: 1
   :hidden:

   openvino_docs_OV_Glossary
   openvino_docs_Legal_Information
   openvino_docs_telemetry_information
   Case Studies <https://www.intel.com/openvino-success-stories>


This section includes a variety of reference information focusing mostly on describing OpenVINO 
and its proprietary model format, OpenVINO IR.

:doc:`Performance Benchmarks <openvino_docs_performance_benchmarks>` contain results from benchmarking models with OpenVINO on Intel hardware.

:doc:`Supported Devices <openvino_docs_OV_UG_supported_plugins_Supported_Devices>` is compatibility information about supported hardware accelerators.

:doc:`Supported Models <openvino_supported_models>` is a table of models officially supported by OpenVINO.

:doc:`Supported Operations <openvino_resources_supported_operations>` is a listing of framework layers supported by OpenVINO. 

:doc:`Supported Operations <openvino_resources_supported_operations_frontend>` is a listing of layers supported by OpenVINO inference devices.

:doc:`Glossary <openvino_docs_OV_Glossary>` contains terms used in OpenVINO.

:doc:`Legal Information <openvino_docs_Legal_Information>` has trademark information and other legal statements.

:doc:`OpenVINO™ Telemetry <openvino_docs_telemetry_information>` has detailed information on the telemetry data collection. 

`Case Studies <https://www.intel.com/openvino-success-stories>`__ are articles about real-world examples of OpenVINO™ usage.


@endsphinxdirective


