# Supported Models {#openvino_supported_models}


@sphinxdirective

.. meta::
   :description: Check the list of officially supported models in Intel® 
                 Distribution of OpenVINO™ toolkit.


The OpenVINO team continues the effort to support as many models out-of-the-box as possible. 
Based on our research and user feedback, we prioritize the most common models and test them 
before every release. These models are considered officially supported.


.. button-link:: _static/download/OV_2023_models_supported.pdf
   :color: primary
   :outline:

   :material-regular:`download;1.5em` Click for supported models [PDF]

The list is based on release 2023.0, as of June 01, 2023

| Note that the list provided here does not include all models supported by OpenVINO.
| If your model is not included but is similar to those that are, it is still very likely to work. 
  If your model fails to execute properly there are a few options available: 


* You can create a GitHub request for the operation(s) that are missing. These requests are reviewed regularly. You will be informed if and how the request will be accommodated. Additionally, your request may trigger a reply from someone in the community who can help.  
* As OpenVINO™ is open source you can enhance it with your own contribution to the GitHub repository. To learn more, see the articles on :doc:`OpenVINO Extensibility <openvino_docs_Extensibility_UG_Intro>`.


@endsphinxdirective


