# OpenVINO TensorFlow Frontend Capabilities and Limitations {#openvino_docs_MO_DG_TensorFlow_Frontend}

@sphinxdirective

.. meta::
   :description: TensorFlow Frontend in OpenVINO Runtime is a C++ based frontend used 
                 by default for converting TensorFlow models to Intermediate Representation (IR).


TensorFlow Frontend is a C++ based Frontend for converting TensorFlow models. MO now uses the TensorFlow Frontend as the default path for conversion to IR.
Also, the frontend allows loading TensorFlow models in SavedModel, MetaGraph, and frozen Protobuf formats directly via the ``read_model()`` method.

The current limitations:

* IRs generated by new TensorFlow Frontend are compatible only with OpenVINO API 2.0
* There is no full parity between the legacy frontend and the new frontend in MO. Known limitations compared to the legacy approach are: TF1 Control flow, Complex types, models requiring config files and old python extensions. The solution detects unsupported functionalities and provides fallback. To force the use of the legacy frontend, ``--use_legacy_frontend`` must be specified.


@endsphinxdirective
