// Copyright (C) 2018-2023 Intel Corporation
// SPDX-License-Identifier: Apache-2.0
//

#include "behavior/plugin/core_integration.hpp"

#include <gna/gna_config.hpp>

using namespace BehaviorTestsDefinitions;

namespace {

//
// IE Class Common tests with <pluginName, deviceName params>
//

INSTANTIATE_TEST_SUITE_P(nightly_IEClassBasicTestP,
                         IEClassBasicTestP,
                         ::testing::Values(std::make_pair("openvino_intel_gna_plugin", "GNA")));

// TODO
INSTANTIATE_TEST_SUITE_P(DISABLED_smoke_IEClassNetworkTestP, IEClassNetworkTestP, ::testing::Values("GNA"));

//
// IE Class GetMetric
//

INSTANTIATE_TEST_SUITE_P(nightly_IEClassGetMetricTest,
                         IEClassGetMetricTest_SUPPORTED_CONFIG_KEYS,
                         ::testing::Values("GNA", "MULTI", "HETERO"));

INSTANTIATE_TEST_SUITE_P(nightly_IEClassGetMetricTest,
                         IEClassGetMetricTest_SUPPORTED_METRICS,
                         ::testing::Values("GNA", "MULTI", "HETERO"));

INSTANTIATE_TEST_SUITE_P(nightly_IEClassGetMetricTest,
                         IEClassGetMetricTest_AVAILABLE_DEVICES,
                         ::testing::Values("GNA"));

INSTANTIATE_TEST_SUITE_P(nightly_IEClassGetMetricTest,
                         IEClassGetMetricTest_FULL_DEVICE_NAME,
                         ::testing::Values("GNA", "MULTI", "HETERO"));

// TODO: Issue: 30198
INSTANTIATE_TEST_SUITE_P(DISABLED_smoke_IEClassGetMetricTest,
                         IEClassGetMetricTest_OPTIMIZATION_CAPABILITIES,
                         ::testing::Values("GNA"));

// TODO: Issue: 30199
INSTANTIATE_TEST_SUITE_P(DISABLED_smoke_IEClassGetMetricTest,
                         IEClassGetMetricTest_RANGE_FOR_ASYNC_INFER_REQUESTS,
                         ::testing::Values("GNA"));

INSTANTIATE_TEST_SUITE_P(nightly_IEClassGetMetricTest,
                         IEClassGetMetricTest_ThrowUnsupported,
                         ::testing::Values("GNA", "MULTI", "HETERO"));

INSTANTIATE_TEST_SUITE_P(nightly_IEClassGetConfigTest,
                         IEClassGetConfigTest_ThrowUnsupported,
                         ::testing::Values("GNA", "MULTI", "HETERO"));

INSTANTIATE_TEST_SUITE_P(nightly_IEClassGetAvailableDevices, IEClassGetAvailableDevices, ::testing::Values("GNA"));

//
// IE Class GetConfig
//

INSTANTIATE_TEST_SUITE_P(nightly_IEClassGetConfigTest, IEClassGetConfigTest, ::testing::Values("GNA"));

// IE Class Query network

INSTANTIATE_TEST_SUITE_P(smoke_IEClassQueryNetworkTest, IEClassQueryNetworkTest, ::testing::Values("GNA"));

// IE Class Load network

INSTANTIATE_TEST_SUITE_P(smoke_IEClassLoadNetworkTest, IEClassLoadNetworkTest, ::testing::Values("GNA"));
}  // namespace
